# Channel.Forwarded (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.connection.channel
Interface Channel.Forwarded

All Superinterfaces:
  Channel, Closeable, ErrorNotifiable, SSHPacketHandler

All Known Implementing Classes:
  AbstractForwardedChannel, RemotePortForwarder.ForwardedTCPIPChannel, X11Forwarder.X11Channel

Enclosing interface:
  Channel

    public static interface Channel.Forwarded

extends Channel

Forwarded channels are those that are initiated by the server.

Nested Class Summary

Nested classes/interfaces inherited from interface net.schmizz.sshj.connection.channel.Channel
`Channel.Direct, Channel.Forwarded`

Nested classes/interfaces inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`ErrorNotifiable.Util`

Method Summary
`void` `confirm()` Confirm `CHANNEL_OPEN` request.
`String` `getOriginatorIP()`
`int` `getOriginatorPort()`
`void` `reject(OpenFailException.Reason reason, String message)` Indicate rejection to remote end.

Methods inherited from interface net.schmizz.sshj.connection.channel.Channel
`close, getAutoExpand, getID, getInputStream, getLocalMaxPacketSize, getLocalWinSize, getOutputStream, getRecipient, getRemoteMaxPacketSize, getRemoteWinSize, getType, isOpen, join, join, sendEOF, setAutoExpand`

Methods inherited from interface net.schmizz.sshj.common.SSHPacketHandler
`handle`

Methods inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`notifyError`

Method Detail

### confirm

    void confirm()
                 throws TransportException

  Confirm `CHANNEL_OPEN` request.

  Throws:
    `TransportException` - error sending confirmation packet

### getOriginatorIP

    String getOriginatorIP()

  Returns:
    the IP of where the forwarded connection originates.

### getOriginatorPort

    int getOriginatorPort()

  Returns:
    port from which the forwarded connection originates.

### reject

    void reject(OpenFailException.Reason reason,
                String message)
                throws TransportException

  Indicate rejection to remote end.

  Parameters:
    `reason` - indicate `reason` for rejection of the request
    `message` - indicate a message for why the request is rejected
  Throws:
    `TransportException` - error sending rejection packet

Copyright © 2009-2011. All Rights Reserved.